Повернення коштів покупцю: методи API Bimp
Методи API Bimp для ресурсу «Повернення коштів покупцю» (/org2/refundToCustomer/…): 4 методи. Базова адреса: https://app.bimpsoft.com. Усі запити, крім входу, передають токен компанії в заголовку access-token — див. Початок роботи з API.
| Метод | Що робить |
|---|---|
POST /org2/refundToCustomer/api-readList | A request to get a detailed list of refund to customer documents |
POST /org2/refundToCustomer/api-read | A request to get detailed information about a single refund to customer document |
POST /org2/refundToCustomer/api-create | A request to create a new refund to customer document |
POST /org2/refundToCustomer/api-update | A request to update an existing refund to customer document |
api-readList
POST /org2/refundToCustomer/api-readList
A request to get a detailed list of refund to customer documents
Тіло запиту (JSON)
| Поле | Тип | Обов’язкове | Опис |
|---|---|---|---|
pagination | object | так | |
pagination.offset | number | так | Begin from {offset} elements |
pagination.count | number | так | Limit of paginated elemets |
name | string | Filter by document name or comment (fuzzy search) | |
period | object[] | null | ||
entryStatus | number (0) | number (1) | ||
responsibles | string (uuid)[] | ||
customers | string (uuid)[] | ||
organizations | string (uuid)[] | ||
includeArchived | boolean | Include archived documents | |
amount | object[] | Amount range [min, max] |
Відповідь: поле data
| Поле | Тип | Опис |
|---|---|---|
total | number | Total number of documents |
rows | object[] | |
rows[].uuid | string (uuid) | |
rows[].number | string | |
rows[].date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) |
rows[].name | string | |
rows[].comment | string | An optional text field for any additional notes or comments related to the document |
rows[].customer | string (uuid) | |
rows[].organization | string (uuid) | |
rows[].status | string (uuid) | |
rows[].author | string (uuid) | |
rows[].currency | string (uuid) | |
rows[].documentSum | number | |
rows[].project | object | |
rows[].project.uuid | string (uuid) | |
rows[].project.name | string |
curl -X POST 'https://app.bimpsoft.com/org2/refundToCustomer/api-readList' \
-H 'access-token: <токен компанії>' \
-H 'Content-Type: application/json' \
-d '{"pagination":{"offset":0,"count":10}}'
api-read
POST /org2/refundToCustomer/api-read
A request to get detailed information about a single refund to customer document
Тіло запиту (JSON)
| Поле | Тип | Обов’язкове | Опис |
|---|---|---|---|
uuid | string (uuid) | так | A unique uuid key for a refund to customer document |
Відповідь: поле data
| Поле | Тип | Опис |
|---|---|---|
uuid | string (uuid) | |
date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) |
number | string | |
name | string | |
comment | string | An optional text field for any additional notes or comments related to the document |
customer | string (uuid) | |
organization | string (uuid) | |
status | string (uuid) | |
author | string (uuid) | |
currency | string (uuid) | |
documentSum | number | |
paymentEntity | string (uuid) | |
expenseItem | string (uuid) | |
project | object | null | |
paymentDetails | object[] | |
paymentDetails[].invoice | string (uuid) | |
paymentDetails[].refundSum | number |
curl -X POST 'https://app.bimpsoft.com/org2/refundToCustomer/api-read' \
-H 'access-token: <токен компанії>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
api-create
POST /org2/refundToCustomer/api-create
A request to create a new refund to customer document
Тіло запиту (JSON)
| Поле | Тип | Обов’язкове | Опис |
|---|---|---|---|
uuid | string (uuid) | A unique uuid key for a refund to customer document | |
date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) | |
name | string | Document name | |
status | string (uuid) | ||
expenseItem | string (uuid) | так | Expense item uuid |
customer | string (uuid) | так | A unique identifier for a counterparty of type ‘isCustomer’.You can retrieve this UUID using the /counterparty/api-readList request |
project | string (uuid) | null | ||
organization | string (uuid) | так | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
paymentEntity | string (uuid) | так | The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request |
author | string (uuid) | так | A unique identifier for the Author, obtainable from the /user/api-readList request |
comment | string | An optional text field for any additional notes or comments related to the document | |
documentSum | number | Total amount of the refund document | |
paymentDetails | object[] | так | Array of payment details used to calculate refund sum |
paymentDetails[].invoice | string (uuid) | так | A unique uuid key for a Buyer’s order (‘Invoice for customer payment’ in system) |
paymentDetails[].refundSum | number | так | Refund amount for this invoice |
Відповідь: поле data
| Поле | Тип | Опис |
|---|---|---|
uuid | string (uuid) | |
number | string | Document number |
curl -X POST 'https://app.bimpsoft.com/org2/refundToCustomer/api-create' \
-H 'access-token: <токен компанії>' \
-H 'Content-Type: application/json' \
-d '{"expenseItem":"00000000-0000-0000-0000-000000000000","customer":"00000000-0000-0000-0000-000000000000","organization":"00000000-0000-0000-0000-000000000000","paymentEntity":"00000000-0000-0000-0000-000000000000","author":"00000000-0000-0000-0000-000000000000","paymentDetails":[{}]}'
api-update
POST /org2/refundToCustomer/api-update
A request to update an existing refund to customer document
Тіло запиту (JSON)
| Поле | Тип | Обов’язкове | Опис |
|---|---|---|---|
uuid | string (uuid) | A unique uuid key for a refund to customer document | |
date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) | |
name | string | Document name | |
status | string (uuid) | ||
expenseItem | string (uuid) | Expense item uuid | |
customer | string (uuid) | A unique identifier for a counterparty of type ‘isCustomer’.You can retrieve this UUID using the /counterparty/api-readList request | |
project | string (uuid) | null | ||
organization | string (uuid) | A unique identifier for the Organization, obtainable from the /organization/api-readList request | |
paymentEntity | string (uuid) | The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request | |
author | string (uuid) | A unique identifier for the Author, obtainable from the /user/api-readList request | |
comment | string | An optional text field for any additional notes or comments related to the document | |
documentSum | number | Total amount of the refund document | |
paymentDetails | object[] | Array of payment details used to calculate refund sum | |
paymentDetails[].invoice | string (uuid) | так | A unique uuid key for a Buyer’s order (‘Invoice for customer payment’ in system) |
paymentDetails[].refundSum | number | так | Refund amount for this invoice |
Відповідь: поле data
| Поле | Тип | Опис |
|---|---|---|
uuid | string (uuid) | |
number | string | Document number |
curl -X POST 'https://app.bimpsoft.com/org2/refundToCustomer/api-update' \
-H 'access-token: <токен компанії>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000","date":"string","name":"string","status":"00000000-0000-0000-0000-000000000000"}'
Інтерактивна документація з можливістю надіслати тестовий запит: https://app.bimpsoft.com/docs. Специфікація OpenAPI оновлюється разом із Bimp; ця сторінка згенерована з неї автоматично.